Get a non-streaming answer

This is the primary endpoint for starting and continuing a conversation with the AI chatbot in a non-streaming manner.

For most non-streaming flows, use the GenerateMessageAnswerRequest body params.

However, if you had previously created a message using the /chat/message/create and have a messageId, then use the GenerateExistingMessageAnswerRequest body params.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample request:

{
  "channelId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "source": "WEBSITE",
  "message": "What is 1+1?",
  "conversationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "senderId": "[email protected]",
  "options": {
    "responseSize": "AUTO",
    "autoUseFallback": true,
    "useInlineReferences": true,
    "inlineReferenceType": "ID",
 // "customInstructionId": "fd363435-61fc-4a87-91e2-11b27efd084b",
 // "gptModel": "GPT_3_5_TURBO",
  }
}

Sample response:

{
  "conversationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "messageId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "answerContent": "1+1 is 2[^2TnHBUfLG]",
  "answerMessageId": "fd263035-62fb-4a87-91e6-11b27efd084b",
  "references": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "contentId": "db54fe9c-83ab-4cee-8811-b7a17382a710",
      "relevanceRank": 1,
      "source": "YOUTUBE",
      "title": "Thinking about visiting Hawaii? Watch this first!",
      "url": "https://www.youtube.com/watch?v=L6AbHjN_L8c",
      "thumbnailUrl": "https://i.ytimg.com/an_webp/S9BENBJkISc/mqdefault_6s.web",
      "footnoteId": "2TnHBUfLG",
      "urlContentId": "L6AbHjN_L8c",
      "timeSeconds": 2,
      "text: "1+1 is always 2"
    }
  ]
}
Body Params
uuid
required

ID of the channel on which the conversation was or will be initiated.

string
required

The source of the chat conversation to be used for your analytics and debugging purposes.

string
required

Content of the user message.

uuid

ID of the conversation/thread. If present, will add the newly created message record to the conversation history. Otherwise, will create a new conversation.

string

An optional user identifier to be used for your analytics and debugging purposes.

options
object

Options that allow to control the way the answer will be generated.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json